// pages/addTrainers/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    form:{
      userid:0
    }
  },
  handlePopup () {
    this.setData({
      visible:true
    })
  },
  onSelect (e) {
    this.data.form.enterprisename = e.detail.enterprisename
    this.data.form.sys_enterpriseid = e.detail.sys_enterpriseid
    this.setData({
      form:this.data.form
    })
  },
  inputChange (e) {
    let name = e.currentTarget.dataset.name

    this.data.form[name] = e.detail.value
   
  },
  onConfirm () {
    let pages = getCurrentPages()[getCurrentPages().length - 2]

    pages.getAddTrainers(this.data.form)

    wx.navigateBack()
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})